﻿function wijmoASPNetParseOptionsReviewer(o, k) {
	var a, v = o[k], d;
	if (v) {
		switch (typeof v) {
			case "string":
				// "Z" means utc time. Currently, the date string represents local time and "Z" should not exist.
				// But "Z" should be still handled because of backward compatibility.
				a = /^(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2})(?:\.)(\d{3})[Z]?$/.exec(v);
				if (a) {
					d =  new Date(+a[1], +a[2] - 1, +a[3], +a[4], +a[5], +a[6], +a[7]);
					o[k] = d;
				}
				break;
			case "object":
				for (k in v) {
					wijmoASPNetParseOptionsReviewer(v, k);
				}
				break;
		}
	}
}

function wijmoASPNetParseOptions(o) {
	var k;
	if (!o) {
		return o;
	}
	for (k in o) {
		wijmoASPNetParseOptionsReviewer(o, k);
	}
	return o;
}